summaryrefslogtreecommitdiff
path: root/taler-build/update_tutorials.sh
diff options
context:
space:
mode:
authorMarcello Stanisci <stanisci.m@gmail.com>2017-11-28 17:05:33 +0100
committerMarcello Stanisci <stanisci.m@gmail.com>2017-11-28 17:05:33 +0100
commit4b12c33c6f598749b1516a129eb06b67f50f52d9 (patch)
tree7749d3288007838cfb18d547002f117c18153719 /taler-build/update_tutorials.sh
parentb1eeca839e80934db2d064ed003602f20432fb1a (diff)
downloaddeployment-4b12c33c6f598749b1516a129eb06b67f50f52d9.tar.gz
deployment-4b12c33c6f598749b1516a129eb06b67f50f52d9.tar.bz2
deployment-4b12c33c6f598749b1516a129eb06b67f50f52d9.zip
individual updaters scripts for docs
Diffstat (limited to 'taler-build/update_tutorials.sh')
-rwxr-xr-xtaler-build/update_tutorials.sh27
1 files changed, 21 insertions, 6 deletions
diff --git a/taler-build/update_tutorials.sh b/taler-build/update_tutorials.sh
index 2168bff..cef16ca 100755
--- a/taler-build/update_tutorials.sh
+++ b/taler-build/update_tutorials.sh
@@ -1,9 +1,24 @@
#!/bin/bash
-cd /var/www/merchant-frontend-examples/
-git clean -fdx
-git fetch
-# reset to updated upstream branch, but only if we're tracking a branch
-branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo HEAD)
-git reset --hard "$branch"
+set -eu
+
+fetch () {
+ git clean -fdx
+ git fetch
+ # reset to updated upstream branch, but only if we're tracking a branch
+ branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo HEAD)
+ git reset --hard "$branch"
+}
+
+cd $HOME/merchant-frontend-examples
+fetch
make
+cp php/doc/tutorial.pdf $HOME/build/merchant-frontend/php/pdf/
+cp php/doc/tutorial.html $HOME/build/merchant-frontend/php/html/
+cp php/doc/*.css $HOME/build/merchant-frontend/php/html/
+cp php/doc/*.jpg $HOME/build/merchant-frontend/php/html/
+cp python/doc/tutorial.pdf $HOME/build/merchant-frontend/python/pdf/
+cp python/doc/tutorial.html $HOME/build/merchant-frontend/python/html/
+cp python/doc/*.css $HOME/build/merchant-frontend/python/html/
+cp python/doc/*.jpg $HOME/build/merchant-frontend/python/html/
+